<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="boletoResumenMasivo" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="14" bottomMargin="14" uuid="05bc0694-d043-4b07-bb03-3436ab9981e5">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="EMISION_ID" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[$P{REPORT_PARAMETERS_MAP}.get("REPORTS_PATH") + "reports/"]]></defaultValueExpression>
	</parameter>
	<parameter name="RELACION_COTOMADOR_ID" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REPORTS_PATH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="LEYENDA" class="java.lang.String" isForPrompting="false"/>
	<parameter name="IDREPORTE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="moneda" class="java.lang.String" isForPrompting="false"/>
	<queryString>
		<![CDATA[SELECT o.id,c.fechaVencimiento,c.numero,c.id as idCuota, em.fechaEmision, convert(varchar, b.periodoBoleto) + '-' + convert(varchar, b.numeroBoleto) as numeroBoleto, b.id as idBoleto FROM Emideta e
inner join objetoi o on o.id = e.credito_id
inner join cuota c on (c.numero = e.numero AND c.credito_id = o.id)
inner join emision em on em.id = e.emision_id
inner join Boleto b on b.id = e.boleto_id
WHERE e.emision_id = $P{EMISION_ID}
ORDER BY o.id, c.numero]]>
	</queryString>
	<field name="id" class="java.math.BigDecimal"/>
	<field name="fechaVencimiento" class="java.sql.Timestamp"/>
	<field name="numero" class="java.lang.Integer"/>
	<field name="idCuota" class="java.math.BigDecimal"/>
	<field name="fechaEmision" class="java.sql.Timestamp"/>
	<field name="numeroBoleto" class="java.lang.String"/>
	<field name="idBoleto" class="java.lang.Long"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="1" splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="28" splitType="Stretch">
			<subreport isUsingCache="false">
				<reportElement key="subreport-1" positionType="Float" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="0" width="535" height="28" isPrintWhenDetailOverflows="true" uuid="23cf0868-b13c-4ace-83b2-af8afa91c53e"/>
				<subreportParameter name="OBJETOI_ID">
					<subreportParameterExpression><![CDATA[($F{id}).toString()]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="RELACION_COTOMADOR_ID">
					<subreportParameterExpression><![CDATA[$P{RELACION_COTOMADOR_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="VENCIMIENTO_CUOTA">
					<subreportParameterExpression><![CDATA[$F{fechaVencimiento}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="NUMERO_CUOTA">
					<subreportParameterExpression><![CDATA[($F{numero}).toString()]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="CUOTA_ID">
					<subreportParameterExpression><![CDATA[($F{idCuota}).toString()]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="numeroBoleto">
					<subreportParameterExpression><![CDATA[($F{numeroBoleto}).toString()]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="FECHA_EMISION">
					<subreportParameterExpression><![CDATA[$F{fechaEmision}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORTS_PATH">
					<subreportParameterExpression><![CDATA[$P{REPORTS_PATH}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="IDREPORTE">
					<subreportParameterExpression><![CDATA[$P{IDREPORTE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="moneda">
					<subreportParameterExpression><![CDATA[$P{moneda}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idBoletoResumen">
					<subreportParameterExpression><![CDATA[$F{idBoleto}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "boletoResumenSinBordes.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="16" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="textField-1" positionType="Float" x="0" y="3" width="535" height="13" uuid="bc751e3c-e2b2-4a1a-a9be-c487249cfc6e"/>
				<textElement markup="html"/>
				<textFieldExpression><![CDATA[$P{LEYENDA}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="2" splitType="Stretch"/>
	</summary>
</jasperReport>
